#container_master,
#container_encabezado,
#footer_leyend,
#container_paginado,
#container_button,
#container_paginas,
.container_checkbox {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin: 5px;
}

#container_encabezado,
#container_master {
    flex-direction: column;
}

.container_elements {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: var(--espaciado-gap);
}

.subcontainer_elements {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: calc(var(--espaciado-gap) - 8px)
}

.container_item {
    flex: var(--container-item-flex);
    width: var(--container-item-width);
    display: flex;
    flex-direction: column;
    margin-top: 5px;
}

.container_item_medium {
    flex: var(--container-item-flex-medium);
    width: var(--container-item-width);
    display: flex;
    flex-direction: column;
    margin-top: 5px;
}

.controls {
    display: flex;
    width: 100%;
    flex-direction: row-reverse;
    align-items: center;
    gap: 10px;
}

.controls button {
    background: var(--color-secundario);
    padding: 0.25rem;
}

.controls button span {
    color: var(--color-blanco);
    font-size: 12px;
}

.controls button:hover span {
    opacity: 0.75;
}

.container_file {
    background-color: #f9f9f9;
    border: 1px solid #ccc;
    border-radius: 8px;
    margin: 8px 0;
    padding: 10px;
    position: relative;
}

input[type="file"].files {
    background-color: transparent;
    border: 1px solid #ccc;
    border-radius: 6px;
    padding: 4px;
    cursor: pointer;
    color: #000;
}

.tipo_archivo {
    font-size: 1.1rem;
    font-weight: bold;
    margin-bottom: 6px;
    margin-left: 0;
}


#container_paginas {
    flex-direction: row;
    gap: var(--espaciado-gap);
}

.paginas {
    display: inline-block;
    width: 15px;
    height: 15px;
    border-radius: 100%;
    text-align: center;
    background-color: var(--color-secundario);
    margin: 5px;
    transition: background-color 0.3s;
    cursor: pointer;
}

.paginaActual {
    width: 15px;
    height: 15px;
    text-align: center;
    border-radius: 100%;
    background-color: var(--color-primario);
    transition: background-color 0.3s;
}

#form {
    width: var(--container-width);
    max-width: var(--container-max-width);
    margin: 0 auto;
    padding: var(--padding-general);
    background: var(--color-fondo);
    border: 10px solid #f5f5f5
}

fieldset {
    border: 1px solid var(--color-secundario);
    border-bottom: none;
    border-right: none;
    margin-bottom: 20px;
}

#logo {
    max-width: var(--logo-width);
    width: var(--logo-width);
}
